/*  <--- Single photo sensor with LCD monitor display --->
 * 
 * Components  used in this sketch
 * ----------
 *  - Arduino Uno
 *  - Breadboard
 *  - 1 x Light Dependent Resistors (Photoresistors) 
 *  - 1 x 10kΩ resistors  
 *  
 *  
 * Connections 
 * -----------
 * Please see schematic 
 * 
 * Other information
 * ----------------- 
 *  More about the photoresistors: https://en.wikipedia.org/wiki/Photoresistor
 *  
 * 
 */

int sensorPin = A2;   // input pin for the photosensor
int sensorValue = 0;  // variable to store the value coming from the sensor
int adjustPin  = A3;  // input pin for potential divider
int adjustValue = 0;  // variable to store the value coming from the potential divider
int ledPin= 13;
int outputValue = 0;

void setup() {
  Serial.begin(9600);
  pinMode(sensorPin, INPUT);
  pinMode(adjustPin, INPUT);  
  pinMode(ledPin, OUTPUT);
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin);
  adjustValue = analogRead(adjustPin)/15;
  outputValue = sensorValue + adjustValue;
  // Print the value from the photo resistor to the serial monitor
  Serial.print("Sensor: ");
  Serial.print(sensorValue);
  Serial.print("  adjustment: ");
  Serial.print(adjustValue);
  Serial.print("  Output: ");
  Serial.print(outputValue);  
  Serial.print("\n");  
    if (outputValue<350){
      digitalWrite(ledPin, LOW);
    }
    else{
      digitalWrite(ledPin, HIGH);
    }
  delay(500);
}
